#ifndef __JRUBY_H__
#define __JRUBY_H__

#include "config.h"
#include "jed-feat.h"
#include "ruby.h"

extern VALUE rb_cObject;
extern VALUE rb_mKernel;
extern VALUE rb_cProc;
extern VALUE rb_eException;
extern VALUE rb_top_self;
extern VALUE rb_load_path;
extern VALUE mJed;
extern VALUE cBuffer;
extern VALUE rb_buf_list;

extern void ruby_eval(char *str);
extern void ruby_fail(int);
extern int is_ruby_command(char *name);
extern void ruby_execute_command(char *name);
extern int ruby_evaluate_cmd(void);
extern void ruby_load(char *fname);
extern void rb_run_hooks(int argc, VALUE *argv);

#define RBOOL(flag) (flag) ? Qtrue : Qfalse
#define BUF_SIZE 1024

#endif /* __JRUBY_H__ */

